#include <bits/stdc++.h>
using namespace std;
int gt(int a,int b)
{
    int s=1;
    for(int i=a;i<=b;i++)
    {
        s*=i;
    }
    return s;
}
int main()
{
    ifstream f1("CAU1_16.INP");
    ofstream f2("CAU1_16.OUT");
    int a,b,c,t;
    f1>>a>>b>>c;
    t=gt(a,b);
    f2<<t%c;
    f1.close();
    f2.close();
}
